RagTimeParserInternal::Zone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTimeParserInternal::Zone Struct Reference

Internal: a zone of a RagTimeParser. More...

## Public Types
enum | Type { Text, Page, Picture, Line, Spreadsheet, Chart, Unknown }
| the zone type More...

## Public Member Functions
| Zone ()
| constructor More...
Box2f | getBoundingBox () const
| returns the bounding box More...
std::string | getTypeString () const
| returns a zone name More...

## Public Attributes
Type | m_type
| the zone type More...
int | m_subType
| the zone sub type More...
bool | m_read32Size
| flag to know if the datasize in uint16 or uint32 More...
Box2f | m_dimension
| the dimension More...
int | m_page
| the page More...
int | m_rotation
| the rotation More...
MWAWGraphicStyle | m_style
| the style More...
MWAWColor | m_fontColor
| the font color (for text) More...
int | m_arrowFlags
| arrow flag 1:begin, 2:end More...
int | m_linkZones [5]
| the link zones ( parent, prev, next, child, linked) More...
int | m_sharedWith
| the zone which contains the content More...
bool | m_isSent
| a flag to know if the picture is sent More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<< More...

## Detailed Description

Internal: a zone of a RagTimeParser.

## Member Enumeration Documentation

enum RagTimeParserInternal::Zone::Type

the zone type

Enumerator
Text |
Page |
Picture |
Line |
Spreadsheet |
Chart |
Unknown |

## Constructor & Destructor Documentation

RagTimeParserInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Function Documentation

Box2f RagTimeParserInternal::Zone::getBoundingBox | ( |  | ) | const
| inline

returns the bounding box

Referenced by RagTimeParser::send().

std::string RagTimeParserInternal::Zone::getTypeString | ( |  | ) | const
| inline

returns a zone name

Referenced by RagTimeParser::readDataZoneHeader().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

int RagTimeParserInternal::Zone::m_arrowFlags

arrow flag 1:begin, 2:end

Referenced by RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), and RagTimeParser::sendBasicPicture().

Box2f RagTimeParserInternal::Zone::m_dimension

the dimension

Referenced by RagTimeParser::createZones(), getBoundingBox(), RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), and RagTimeParser::sendBasicPicture().

std::string RagTimeParserInternal::Zone::m_extra

extra data

Referenced by RagTimeParserInternal::operator<<(), and RagTimeParser::readDataZoneHeader().

MWAWColor RagTimeParserInternal::Zone::m_fontColor

the font color (for text)

Referenced by RagTimeParser::createZones(), RagTimeParserInternal::operator<<(), and RagTimeParser::readDataZoneHeader().

bool RagTimeParserInternal::Zone::m_isSent
| mutable

a flag to know if the picture is sent

Referenced by RagTimeParser::flushExtra(), and RagTimeParser::sendBasicPicture().

int RagTimeParserInternal::Zone::m_linkZones[5]

the link zones ( parent, prev, next, child, linked)

Referenced by RagTimeParser::findPagesZones(), RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), and Zone().

int RagTimeParserInternal::Zone::m_page

the page

Referenced by RagTimeParser::createDocument(), RagTimeParser::findPagesZones(), RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), and RagTimeParser::send().

bool RagTimeParserInternal::Zone::m_read32Size

flag to know if the datasize in uint16 or uint32

Referenced by RagTimeParserInternal::operator<<(), and RagTimeParser::readDataZoneHeader().

int RagTimeParserInternal::Zone::m_rotation

the rotation

Referenced by RagTimeParser::createZones(), RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), and RagTimeParser::send().

int RagTimeParserInternal::Zone::m_sharedWith

the zone which contains the content

Referenced by RagTimeParserInternal::operator<<(), and RagTimeParser::readDataZoneHeader().

MWAWGraphicStyle RagTimeParserInternal::Zone::m_style

the style

Referenced by RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), RagTimeParser::send(), and RagTimeParser::sendBasicPicture().

int RagTimeParserInternal::Zone::m_subType

the zone sub type

Referenced by getTypeString(), RagTimeParserInternal::operator<<(), and RagTimeParser::readDataZoneHeader().

Type RagTimeParserInternal::Zone::m_type

the zone type

Referenced by RagTimeParser::createDocument(), RagTimeParser::findPagesZones(), RagTimeParser::flushExtra(), getTypeString(), RagTimeParserInternal::operator<<(), RagTimeParser::readDataZoneHeader(), RagTimeParser::send(), and RagTimeParser::sendBasicPicture().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx